# Step by Step deployment guide

- [ ] Make sure that the master branch is clean and all commits are pushed to origin
- [ ] `git checkout stable`
- [ ] `git merge --no-ff master`
- [ ] Make sure that the stable branch is clean and all commits are pushed to origin
- [ ] `git checkout production`
- [ ] `git checkout $HASHID -- .`
      The $HASHID being the commit were the last merge from stable happened (before clarindev2clarin.sh changes were committed)
- [ ] `git merge --no-ff stable`
- [ ] Change the version number and the registry branch of the images in all deployment yaml files
- [ ] `git add kubernetes/*deploy*yaml`
- [ ] `git commit`
- [ ] `git tag -a $VERSION_NUMBER -s -u $GPG_ID_HASH`
- [ ] `git push --all
- [ ] `git push --tags`
- [ ] `cd dockerfiles`
- [ ] `./release $VERSION_NUMBER production`
- [ ] `cd ../kubernetes`
- [ ] `./stop_kube.sh`
- [ ] `./start_kube.sh`
- [ ] `git checkout master`
